declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
    execute immediate 'ALTER TABLE BOLETO ADD (NUMDAV VARCHAR2(15) )';
    exception when column_exists then null;
end;
/
declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
    execute immediate 'ALTER TABLE BPE ADD (NUMDAV VARCHAR2(15) )';
    exception when column_exists then null;
end;
/
declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
    execute immediate 'ALTER TABLE BPE ADD (MENSAGEMDAV VARCHAR2(100) )';
    exception when column_exists then null;
end;
/
declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
    execute immediate 'ALTER TABLE PUNTO_VENTA ADD (LATITUDE NUMBER(9,6) )';
    exception when column_exists then null;
end;
/
declare
    column_exists exception;
    pragma exception_init (column_exists , -01430);
begin
    execute immediate 'ALTER TABLE PUNTO_VENTA ADD (LONGITUDE NUMBER(9,6) )';
    exception when column_exists then null;
end;
/
DECLARE 
  nomSeq VARCHAR2(200);
  object_exists exception;
  pragma exception_init (object_exists , -00955);
BEGIN 

  FOR EMP IN (SELECT EMPRESA_ID FROM EMPRESA WHERE ACTIVO = 1 AND EMPRESA_ID > 0)
  LOOP
      BEGIN
        SELECT SEQUENCE_NAME INTO nomSeq from user_SEQUENCES where SEQUENCE_NAME like 'FOLIO_SISTEMA_DAV_' || EMP.EMPRESA_ID || '_SEQ%';
      EXCEPTION WHEN NO_DATA_FOUND THEN
        EXECUTE IMMEDIATE 'CREATE SEQUENCE ' || 'FOLIO_SISTEMA_DAV_' || EMP.EMPRESA_ID || '_SEQ MINVALUE 1 MAXVALUE 999999999 INCREMENT BY 1 START WITH 1 ORDER NOCACHE CYCLE';
      END;
  END LOOP;
  EXCEPTION WHEN object_exists THEN NULL;
END;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
'CREATE TABLE DAV_CTRL_DISPONIBILIDADE 
(
  DAVCTRLDISP_ID NUMBER(8, 0) NOT NULL 
, CVEESTADO VARCHAR2(3 BYTE) 
, EMPRESA_ID NUMBER(7, 0) 
, NUMERO VARCHAR2(15 BYTE) 
, BPE_REJEITADO_ID NUMBER(12, 0) 
, ACTIVO NUMBER(1, 0) 
, FECMODIF DATE 
, USUARIO_ID NUMBER(7, 0) 
) ';
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE "DAV_CTRL_DISPONIBILIDADE_SEQ" INCREMENT BY 1 START WITH 1 NOCACHE ORDER';	
  exception when object_exists then null;
end;