DO $$
BEGIN
  CREATE SEQUENCE COBRANCA_ADC_SEQ INCREMENT BY 1 START WITH 1 NOCYCLE;   
  EXCEPTION 
    WHEN duplicate_table THEN NULL;
    WHEN duplicate_object THEN NULL;
    WHEN duplicate_column THEN NULL;
END
$$;
/
DO $$
BEGIN
  CREATE TABLE COBRANCA_ADC_PUNTO_VENTA (
       COBRANCAADDPUNTOVENTA_ID NUMBER(7) NOT NULL,    
       PUNTOVENTA_ID            NUMBER(7) NOT NULL,
       DESCRICAO                VARCHAR2(30 BYTE) NOT NULL,
       VALOR                    NUMBER(7,2) NOT NULL,
       EMPRESA_ID               NUMBER(7,0) NOT NULL,
	   DATAINICIAL              DATE NOT NULL,
       DATAFINAL                DATE NOT NULL,	   
       DIARIO                   NUMBER(1),
       SEMANAL                  NUMBER(1),
       MENSAL                   NUMBER(1),
       SEGUNDA                  NUMBER(1),
       TERCA                    NUMBER(1),
       QUARTA                   NUMBER(1),
       QUINTA                   NUMBER(1),
       SEXTA                    NUMBER(1),
       PRIMEIRO_DIA_UTIL        NUMBER(1),
       ULTIMO_DIA_UTIL          NUMBER(1),
	   DESCONTO_PROXIMO_CICLO   NUMBER(1),
	   DESCONTO_PROXIMO_DIA     NUMBER(1),
       ACTIVO               NUMBER(1),
       FECMODIF             DATE,
       USUARIO_ID           NUMBER(7),
       PRIMARY KEY (COBRANCAADDPUNTOVENTA_ID), 
       FOREIGN KEY (PUNTOVENTA_ID) REFERENCES PUNTO_VENTA 
	); 
  EXCEPTION 
    WHEN duplicate_table THEN NULL;
    WHEN duplicate_object THEN NULL;
    WHEN duplicate_column THEN NULL;
END
$$;